View Issue Details

IDProjectCategoryView StatusLast Update
0031353RunnerFunctionsPublic2020-03-09 12:46
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.4 
Target Version2.3.0Fixed in Version2.3.0 
Summary0031353: Functions: json_encode on a double nested map with reals as keys will give gibberish the first time
DescriptionIf you have a double-nested map where you are using reals as keys, the *first time* you use json_encode, the first key of the map gets replaced with garbage.

json_encode then works as expected afterwards.
Steps To Reproduce1) Run the sample project
Additional InformationWorks fine on HTML5
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.4.357
2.x Runtime Verified In9.9.1.1717

Activities

Stewart Bishop

2019-09-16 11:53

Developer  

JSON_Bug.yyz (17,034 bytes)

Russell Kay

2019-09-18 15:27

Manager   ~0064819

Fixed in gitlab

Alice

2020-03-09 12:46

Adminstrator   ~0065462

Verified fixed on IDE v9.2.1.2152 Runtime v9.9.1.1717.

Closing the bug. Thank you.